<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @property mixed id
 */
class Slider extends Model
{
    // use soft delete
    use SoftDeletes;

    protected $fillable = ['image'];

    /**
     * @return HasMany
     */
    public function descriptions() :HasMany
    {
        return $this->hasMany(SliderDescription::class);
    }


    /**
     * Return photos for website gallery
     * @return HasMany
     */
    public function photos() :HasMany
    {
        return $this->hasMany(SliderPhoto::class);
    }

}
